# Observer::Effect

In science, the term [observer effect](https://en.wikipedia.org/wiki/Observer_effect_(physics)) refers to changes that the act of observation will make on a phenomenon being observed. This is often the result of instruments that, by necessity, alter the state of what they measure in some manner.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'observer-effect'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install observer-effect

## Usage

Observing variables with `puts` will alter the state of what they measure in some manner.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake false` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rickhanlonii/observer-effect. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

